package it.unipd.dei.fragmentlistexample;

import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class MyListFragment extends ListFragment {
	
	private String[] fillStringArrayWithData() {
		String[] a = new String[('Z' - 'A' + 1)];
		for (int i = 0; i < a.length; ++i) {
			char[] c = { (char) ('A' + i) };
			a[i] = new String(c);
		}
		return a;
	}

	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		String[] values = this.fillStringArrayWithData();
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(getActivity(),
				android.R.layout.simple_list_item_1, values);
		setListAdapter(adapter);
	}

	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		super.onListItemClick(l, v, position, id);
		Object clickedObj = l.getAdapter().getItem(position);
		Log.i("onItemClick", clickedObj.toString());
	}

}
